# DataExchange
TKIGES
IGESAppli

# IGESAppli_NodalConstraint Class Reference

defines NodalConstraint, Type <418> Form <0>
in package IGESAppli
Relates loads and/or constraints to specific nodes in
the Finite Element Model by creating a relation between
Node entities and Tabular Data Property that contains
the load or constraint data

`#include <IGESAppli_NodalConstraint.hxx>`

Inheritance diagram for IGESAppli_NodalConstraint:

[legend]

## Public Member Functions

Standard_EXPORT | IGESAppli_NodalConstraint ()
Standard_EXPORT void | Init (const Standard_Integer aType, const Handle(IGESAppli_Node)&aNode, const Handle(IGESDefs_HArray1OfTabularData)&allTabData)
| This method is used to set the fields of the class NodalConstraint - aType : Loads / Constraints - aNode : the Node - allTabData : Tabular Data Property carrying the load or constraint vector .
Standard_EXPORT Standard_Integer | NbCases () const
| returns total number of cases
Standard_EXPORT Standard_Integer | Type () const
| returns whether Loads (1) or Constraints (2)
Standard_EXPORT Handle_IGESAppli_Node | NodeEntity () const
| returns the Node
Standard_EXPORT Handle_IGESDefs_TabularData | TabularData (const Standard_Integer Index) const
| returns Tabular Data Property carrying load or constraint vector raises exception if Index <= 0 or Index > NbCases
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theType
Handle_IGESAppli_Node | theNode
Handle_IGESDefs_HArray1OfTabularData | theTabularDataProps

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_NodalConstraint::IGESAppli_NodalConstraint | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESAppli_NodalConstraint::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_NodalConstraint::Init | ( | const Standard_Integer | aType,
|  | const Handle(IGESAppli_Node)& | aNode,
|  | const Handle(IGESDefs_HArray1OfTabularData)& | allTabData
| ) |

Standard_EXPORT Standard_Integer IGESAppli_NodalConstraint::NbCases | ( |  | ) | const

Standard_EXPORT Handle_IGESAppli_Node IGESAppli_NodalConstraint::NodeEntity | ( |  | ) | const

Standard_EXPORT Handle_IGESDefs_TabularData IGESAppli_NodalConstraint::TabularData | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESAppli_NodalConstraint::Type | ( |  | ) | const

## Field Documentation

Handle_IGESAppli_Node IGESAppli_NodalConstraint::theNode `[private]`

Handle_IGESDefs_HArray1OfTabularData IGESAppli_NodalConstraint::theTabularDataProps `[private]`

Standard_Integer IGESAppli_NodalConstraint::theType `[private]`

| Reimplemented from IGESData_IGESEntity.

The documentation for this class was generated from the following file:

- IGESAppli_NodalConstraint.hxx